summaryrefslogtreecommitdiffstats
path: root/system/MySQL-Sandbox
diff options
context:
space:
mode:
author Dhaby Xiloj <slack.dhabyx@gmail.com>2010-04-08 11:21:26 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-15 10:25:03 +0200
commit8216c2a616ddfc289d8b6e3d8f5d68243a010aca (patch)
treebf452922fc105e4d90d45ee72aafd8743151e273 /system/MySQL-Sandbox
parentc816e20e0c33c995bd74fb31327f31553b83f691 (diff)
downloadslackbuilds-8216c2a616ddfc289d8b6e3d8f5d68243a010aca.tar.gz
slackbuilds-8216c2a616ddfc289d8b6e3d8f5d68243a010aca.tar.xz
system/MySQL-Sandbox: Added - a self-contained mysql server.
Diffstat (limited to 'system/MySQL-Sandbox')
-rwxr-xr-xsystem/MySQL-Sandbox/MySQL-Sandbox.SlackBuild91
-rw-r--r--system/MySQL-Sandbox/MySQL-Sandbox.info10
-rw-r--r--system/MySQL-Sandbox/README4
-rw-r--r--system/MySQL-Sandbox/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/system/MySQL-Sandbox/MySQL-Sandbox.SlackBuild b/system/MySQL-Sandbox/MySQL-Sandbox.SlackBuild
new file mode 100755
index 0000000000..1e14adc05c
--- /dev/null
+++ b/system/MySQL-Sandbox/MySQL-Sandbox.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for MySQL-Sandbox
+
+# Copyright (c) vie feb 26 23:31:08 CST 2010, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=MySQL-Sandbox
+VERSION=${VERSION:-3.0.08}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING Changelog README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+make OPTIMIZE="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+# Remove 'special' files
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+eval $(perl -V:vendorarch)
+rm -rf $PKG/$vendorarch $PKG/usr/lib${LIBDIRSUFFIX}/perl?/?.??.?
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/MySQL-Sandbox/MySQL-Sandbox.info b/system/MySQL-Sandbox/MySQL-Sandbox.info
new file mode 100644
index 0000000000..0d5eb03886
--- /dev/null
+++ b/system/MySQL-Sandbox/MySQL-Sandbox.info
@@ -0,0 +1,10 @@
+PRGNAM="MySQL-Sandbox"
+VERSION="3.0.08"
+HOMEPAGE="http://mysqlsandbox.net"
+DOWNLOAD="http://launchpad.net/mysql-sandbox/mysql-sandbox-3/mysql-sandbox-3/+download/MySQL-Sandbox-3.0.08.tar.gz"
+MD5SUM="afc0a5e98c580429693acd54533124a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dhaby Xiloj"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="rworkman"
diff --git a/system/MySQL-Sandbox/README b/system/MySQL-Sandbox/README
new file mode 100644
index 0000000000..0695e82330
--- /dev/null
+++ b/system/MySQL-Sandbox/README
@@ -0,0 +1,4 @@
+MySQL-Sandbox - the easy way of installing a MySQL server
+
+MySQL Sandbox is a tool that installs one or more MySQL servers
+within seconds, easily, securely, and with full control.
diff --git a/system/MySQL-Sandbox/slack-desc b/system/MySQL-Sandbox/slack-desc
new file mode 100644
index 0000000000..8106ba3f33
--- /dev/null
+++ b/system/MySQL-Sandbox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+MySQL-Sandbox: MySQL-Sandbox (easy install of MySQL server)
+MySQL-Sandbox:
+MySQL-Sandbox: The easy way of installing a MySQL server
+MySQL-Sandbox:
+MySQL-Sandbox: MySQL Sandbox is a tool that installs one or more MySQL servers
+MySQL-Sandbox: within seconds, easily, securely, and with full control.
+MySQL-Sandbox:
+MySQL-Sandbox: http://mysqlsandbox.net
+MySQL-Sandbox:
+MySQL-Sandbox:
+MySQL-Sandbox: